Debian Bug report logs - #641168
dialog_color used for both text and border

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Sat, 10 Sep 2011 23:51:01 UTC

Severity: normal

Tags: upstream

Found in version dialog/1.1-20110707-1

Fixed in version dialog/1.1-20111018-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Santiago Vila <sanvila@debian.org>:
Bug#641168; Package dialog. (Sat, 10 Sep 2011 23:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Santiago Vila <sanvila@debian.org>. (Sat, 10 Sep 2011 23:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog_color used for both text and border
Date: Sun, 11 Sep 2011 01:48:27 +0200
Package: dialog
Version: 1.1-20110707-1
Severity: normal

Hello,

I tried changing dialog colors in the hope I could get a few different
themes to eg. show warning and error messages in different color.

Unfortunately, dialog_color is used for both border and text of the
dialog which makes theming rather impractical.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (900, 'stable'), (500, 'testing'), (410, 'unstable'), (200, 'experimental'), (111, 'oldstable'), (107, 'natty-updates'), (107, 'natty')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dialog depends on:
ii  debianutils   4.0.2  
ii  libc6         2.13-18
ii  libncursesw5  5.9-1  

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#641168; Package dialog. (Sun, 11 Sep 2011 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 11 Sep 2011 00:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 641168@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>, 641168@bugs.debian.org
Cc: hramrach@centrum.cz, Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#641168: dialog_color used for both text and border
Date: Sat, 10 Sep 2011 20:00:39 -0400 (EDT)
On Sun, 11 Sep 2011, Michal Suchanek wrote:

> Package: dialog
> Version: 1.1-20110707-1
> Severity: normal
>
> Hello,
>
> I tried changing dialog colors in the hope I could get a few different
> themes to eg. show warning and error messages in different color.
>
> Unfortunately, dialog_color is used for both border and text of the
> dialog which makes theming rather impractical.

hmm - it's "always" used the same color scheme for the text and upper/left
borders, for simplicity.

But I'm unclear on the relationship between the border colors and the
distinction between warning/error messages.  Are you displaying the
different messages in different widgets?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#641168; Package dialog. (Sun, 11 Sep 2011 08:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 11 Sep 2011 08:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 641168@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Thomas Dickey <dickey@his.com>
Cc: 641168@bugs.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#641168: dialog_color used for both text and border
Date: Sun, 11 Sep 2011 10:07:18 +0200
On 11 September 2011 02:00, Thomas Dickey <dickey@his.com> wrote:
> On Sun, 11 Sep 2011, Michal Suchanek wrote:
>
>> Package: dialog
>> Version: 1.1-20110707-1
>> Severity: normal
>>
>> Hello,
>>
>> I tried changing dialog colors in the hope I could get a few different
>> themes to eg. show warning and error messages in different color.
>>
>> Unfortunately, dialog_color is used for both border and text of the
>> dialog which makes theming rather impractical.
>
> hmm - it's "always" used the same color scheme for the text and upper/left
> borders, for simplicity.
>
> But I'm unclear on the relationship between the border colors and the
> distinction between warning/error messages.  Are you displaying the
> different messages in different widgets?

The relationship is simple. Since the warning and error messages are
supposed to have different background they need a different text color
too. And since the text color and border color are same the colors
break. Of course, I can switch to flat borders the same color as text
but that's way different from the default colors.

Thanks

Michal




Added tag(s) upstream. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Wed, 19 Oct 2011 07:45:17 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Wed, 19 Oct 2011 09:06:11 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Wed, 19 Oct 2011 09:06:12 GMT) Full text and rfc822 format available.

Message #22 received at 641168-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 641168-close@bugs.debian.org
Subject: Bug#641168: fixed in dialog 1.1-20111018-1
Date: Wed, 19 Oct 2011 09:02:19 +0000
Source: dialog
Source-Version: 1.1-20111018-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20111018-1.debian.tar.gz
  to main/d/dialog/dialog_1.1-20111018-1.debian.tar.gz
dialog_1.1-20111018-1.dsc
  to main/d/dialog/dialog_1.1-20111018-1.dsc
dialog_1.1-20111018-1_amd64.deb
  to main/d/dialog/dialog_1.1-20111018-1_amd64.deb
dialog_1.1-20111018.orig.tar.gz
  to main/d/dialog/dialog_1.1-20111018.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641168@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 19 Oct 2011 10:31:22 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20111018-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 640905 641168 642105 642108
Changes: 
 dialog (1.1-20111018-1) unstable; urgency=low
 .
   * New upstream release. Summary of changes fixing Debian bugs:
   * dialog --fselect "" now scans the current directory (Closes: #640905).
   * Added color table entries for secondary borders (Closes: #641168).
   * Improved manpage regarding exit status (Closes: #642105).
   * Added DLGK_FORM_PREV and DLGK_FORM_NEXT key-bindings to allow binding
     a single key to traverse both form-fields and buttons. Added also a
     suitable example to the manpage (Closes: #642108).
Checksums-Sha1: 
 60b387e49cb8010864019f2b70d0e8d1fc5c89b7 1423 dialog_1.1-20111018-1.dsc
 de718e67f1447893630f013ba2a904dfc63b2697 438346 dialog_1.1-20111018.orig.tar.gz
 3dd7e120d029f471422f892f981d4b00839feb5c 10421 dialog_1.1-20111018-1.debian.tar.gz
 90f12ad52ff7bb3044636e8a08ec9beda0b30ce5 321032 dialog_1.1-20111018-1_amd64.deb
Checksums-Sha256: 
 75944def7acca9c61f07c4b30e23ed65c65a08e1679f49863c6b5798c7589b8c 1423 dialog_1.1-20111018-1.dsc
 9b636a4ea8f23fe07e8d57a082bd39a9f034168f1e61649a345ff64edb7754bf 438346 dialog_1.1-20111018.orig.tar.gz
 57b9d79ab72f0521032bba032c9c8fa2fe2f00aaa2d8dda8a0b3d147879c9c42 10421 dialog_1.1-20111018-1.debian.tar.gz
 277fcac652e2f192c95c8c94c2797dff9275f0824e4a1c5539a4882648a6c9b2 321032 dialog_1.1-20111018-1_amd64.deb
Files: 
 8bf06bcdca5ecd6f21ca37fc6d206e1f 1423 misc optional dialog_1.1-20111018-1.dsc
 2075a6bf822d55550e0a51fe2cb14fe3 438346 misc optional dialog_1.1-20111018.orig.tar.gz
 2e5161001b43817bda58500b48e2ffcb 10421 misc optional dialog_1.1-20111018-1.debian.tar.gz
 27209b412e9a86add6ccf301ab89971f 321032 misc optional dialog_1.1-20111018-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJOnottAAoJEEHOfwufG4sy0ywH+gMMS5FciYEePqAma26qwauJ
nDmDspQogYc59a6sCA3S+KIbHnpn0sM0CI1Xvu1d/+ovp2SuPPw+TxDUjjGnymXt
c0Cs17SoD+KbJz+/WPnSCyo9O1TlWTmrEQMBL8vikU+537t4Ltue5Fj9S9Bb+m5b
QTLK18sAH21aIvPwhLugWzUweIUiU2rTqa8N0xjbc2s3ybYVQ5SDCRaCo90m5F9x
aBof2mTd/rpM+gq/mYL8HoAVP8G+o89LtZM58mCcDNnJEfwnBHDJeBTi8lVHjDwY
YnYn6/PSbaPVGHbEpErk/o5fTYzzG/jW2aYmoRzkrjIT0bjibcQvunAUDJ8YBsw=
=NQIJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Nov 2011 07:36:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:33:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.